## EXPM Matrix Exponential

Section: Array Generation and Manipulations

### Usage

Calculates `e^A` for a square, full rank matrix `A`. The syntax for its use is

       y = expm(A)

Internally, `expm` is mapped to a simple `e^A` expression (which in turn uses the eigenvalue expansion of `A` to compute the exponential).

### Example

An example of `expm`

    --> A = [1 1 0; 0 0 2; 0 0 -1]

    A =
      1  1  0
      0  0  2
      0  0 -1

    --> expm(A)

    ans =
        2.7183    1.7183    1.0862
             0    1.0000    1.2642
             0         0    0.3679